crc16-ccitt.h File Reference
CANopen_301 » CRC 16 CCITT

Calculation of CRC 16 CCITT polynomial. More...

`#include "301/CO_driver.h"`

Go to the source code of this file.

## Functions

void | crc16_ccitt_single (uint16_t *crc, const uint8_t chr)
| Update crc16_ccitt variable with one data byte. More...
uint16_t | crc16_ccitt (const uint8_t block[], size_t blockLength, uint16_t crc)
| Calculate CRC sum on block of data. More...

## Detailed Description

Calculation of CRC 16 CCITT polynomial.

Author
  Lammert Bies
  Janez Paternoster

Copyright
  2012 - 2020 Janez Paternoster

This file is part of CANopenNode, an opensource CANopen Stack. Project home page is https://github.com/CANopenNode/CANopenNode. For more information on CANopen see http://www.can-cia.org/.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.